%define momorel 27
%define jbf japanese-bitmap-fonts-0.4.5

Summary: Japanese fixed fonts for X11
Name: japanese-fonts
Version: 1.0
Release: %{momorel}m
License: see "README*"
Group: User Interface/X

Obsoletes: XFree86-jpfonts
Obsoletes: XFree86-japanese-fonts
Provides: XFree86-japanese-fonts, XFree86-jpfonts
Requires: XFree86-75dpi-fonts
Requires: XFree86-100dpi-fonts
BuildPreReq: XFree86-font-utils

Source0: http://openlab.ring.gr.jp/efont/dist/japanese/%{jbf}.tar.bz2
NoSource:0

Source1: ftp://ftp.ring.gr.jp/pub/GNU/intlfonts/intlfonts-1.2.1.tar.gz
NoSource:1

Source2: marumoji.tar.bz2

Source3: fonts.alias.japanese
%define jp_alias     %{SOURCE3}

Source4: fonts.alias.latin
%define latin_alias %{SOURCE4}

Source5: mkbold
Source6: mkitalic

%define jpfontdir /usr/X11R6/lib/X11/fonts/japanese
%define latinfontdir /usr/X11R6/lib/X11/fonts/latin

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: noarch
BuildPrereq: perl, gawk, XFree86
Prereq: chkfontpath, XFree86
Provides: XFree86-japanese-fonts

%description
Japanese fixed fonts for X11.

%package -n latin-fonts
Summary: latin fixed fonts for X11
Group: User Interface/X
Obsoletes: XFree86-latin1-fonts
Provides: XFree86-latin1-fonts
Prereq: chkfontpath, XFree86

%description -n latin-fonts
XFree86-latin Package contains latin fixed fonts for X11.
This package includes 5, 6, 7, 8, 10 and 12 point fonts.

%prep

%setup -q -c -a 2
tar xfz %{SOURCE1} \
	'intlfonts-*/Japanese/*18*' \
	'intlfonts-*/European/lt1-18.bdf'

%build

:
: -- STAGE 1: preparation --
:
#
mv intlfonts-1.2.1/Japanese/*18* .
mv intlfonts-1.2.1/European/lt1-18.bdf .
rm -rf intlfonts-1.2.1

# move bdf to topdir
mv */*/*.bdf ./
mv %{jbf}/doc/* ./

# move scripts to topdir
cp %{SOURCE5} %{SOURCE6} .

# set target font list
ALL_MEDIUM_ONLY_BDF_FONT="lt1-18/-L"

ALL_MEDIUM_BDF_FONT="a18rk/"

ALL_BOLD_BDF_FONT="j83-18b/  a18rkb/"

#########################################
#mkdir -p %{latinfontdir}
#for i in $LATIN_LIST ; do
#    touch  %{latinfontdir}/${i}
#done
#########################################

:
: -- STAGE 2: making roman-bold fonts --
:
for src in $ALL_MEDIUM_ONLY_BDF_FONT ; do
  ./mkbold ${src#*/} ${src%/*}.bdf > ${src%/*}b.bdf
done

:
: -- STAGE 3: making italic-medium fonts --
:
for src in $ALL_MEDIUM_ONLY_BDF_FONT $ALL_MEDIUM_BDF_FONT ; do
  ./mkitalic ${src%/*}.bdf > ${src%/*}i.bdf
done

:
: -- STAGE 4: making italic-bold fonts --
:
for src in $ALL_MEDIUM_ONLY_BDF_FONT ; do
  ./mkbold ${src#*/} ${src%/*}i.bdf > ${src%/*}bi.bdf
done

for src in $ALL_BOLD_BDF_FONT ; do
  ./mkitalic ${src%/*}.bdf > ${src%/*}i.bdf
done

:
: -- STAGE 5: giving the finishing touches --
:
for src in *.bdf ; do
  /usr/X11R6/bin/bdftopcf $src | gzip -9 > ${src%.bdf}.pcf.gz
  rm $src
done

# copy documents in a directory for rpm
mkdir -p doc/marumoji
for d in Kappa20-* japanese-bitmap-fonts-* knj10-* shinonome-*; do
	mkdir doc/$d
done
cp README.marumoji doc/marumoji/
cp Kappa20-*/README doc/Kappa20-*/
cp japanese-bitmap-fonts-*/README.ja japanese-bitmap-fonts-*/ChangeLog doc/japanese-bitmap-fonts-*/
cp knj10-*/README doc/knj10-*/
cp shinonome-*/AUTHORS shinonome-*/BUGS doc/shinonome*/
cp shinonome-*/ChangeLog shinonome-*/ChangeLog.0 doc/shinonome*/
cp shinonome-*/DESIGN.* shinonome-*/README doc/shinonome*/
cp shinonome-*/THANKS shinonome-*/TODO doc/shinonome*/

%install
rm -rf %{buildroot}

LATIN_LIST="5x10a	5x10ab		5x10abi		5x10ai \
	    shnm6x12a	shnm6x12ab	shnm6x12abi	shnm6x12ai \
	    shnm7x14a	shnm7x14ab	shnm7x14abi	shnm7x14ai \
	    shnm8x16a	shnm8x16ab	shnm8x16abi	shnm8x16ai \
	    lt1-18	lt1-18b		lt1-18bi	lt1-18i \
	    10x20a	10x20ai		10x20b		10x20bi \
	    12x24a	12x24ab		12x24abi	12x24ai \
	    7x14maru"

mkdir -p %{buildroot}%{jpfontdir}
mkdir -p %{buildroot}%{latinfontdir}
for i in $LATIN_LIST ; do
    mv ${i}.pcf.gz %{buildroot}%{latinfontdir}
done
mv *.pcf.gz %{buildroot}%{jpfontdir}

# font.alias
cp %{jp_alias} %{buildroot}%{jpfontdir}/fonts.alias
cp %{latin_alias} %{buildroot}%{latinfontdir}/fonts.alias

/usr/X11R6/bin/mkfontdir %{buildroot}%{jpfontdir}
/usr/X11R6/bin/mkfontdir %{buildroot}%{latinfontdir}

%post
/usr/sbin/chkfontpath -q -f -a %{jpfontdir}

%postun
if [ "$1" = "0" ]; then
        /usr/sbin/chkfontpath -q -r %{jpfontdir}
fi

%post -n latin-fonts
/usr/sbin/chkfontpath -q -f -a %{latinfontdir}

%postun -n latin-fonts
if [ "$1" = "0" ]; then
        /usr/sbin/chkfontpath -q -r %{latinfontdir}
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-, root,root)
%doc doc/*
%{jpfontdir}/*

%files -n latin-fonts
%defattr(-, root,root)
%doc doc/*
%{latinfontdir}/*

%changelog
* Wed Nov 19 2003 zunda <zunda at freeshell.org>
- (1.0-27m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sun Aug 3 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.0-26m)
- update intlfonts to 1.2.1

* Tue Oct 22 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0-25m)
- modified fonts.alias.japanese
  shinonome... gtk+1.2... nandedaro... (T_T)

* Sat May 18 2002 Toru Hoshina <t@kondara.org>
- (1.0-24k)
- mkfontdir tukattendaro korua.

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (1.0-22k)

* Wed Jan 16 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (1.0-20k)
- revise font.alias.japanese
- (devel.ja:06046,users.ja:07194)

* Sat Jan 12 2002 OZAWA -Crouton- Sakuro <crouton@kondara.org>
- (1.0-18k)
- Removed Distribution tag.

* Wed Nov 28 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.0-16k)
- japanese-bitmap-fonts-0.4.5

* Sat Nov  3 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.0-14k)
- japanese-bitmap-fonts-0.4.4

* Wed Sep  5 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.0-12k)
- revive necessary Requires :(

* Thu Aug 30 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.0-10k)
- japanese-bitmap-fonts-0.4.3
- replace mkitalic with much faster perl version
-   and don't use pre-build fonts, sorry
- disable verbose output
- remove unnecessary Requires

* Tue Aug 28 2001 Toru Hoshina <toru@df-usa.com>
- (1.0-8k)
- use pre-build fonts.

* Mon Jun 04 2001 Toru Hoshina <toru@df-usa.com>
- (1.0-6k)

* Thu Jun 01  2001 Kenzi Cano <kc@ring.gr.jp>
- (japanese-fonts-7k)
- japanese-bitmap-fonts-0.4.2

* Mon May 21 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.0-4k)
- add fonts.dir files by /usr/X11R6/bin/mkfontdir in %install section

* Thu May 19  2001 Kenzi Cano <kc@ring.gr.jp>
- (japanese-fonts-5k)
- revised for intlfonts-1.2

* Thu Apr 30  2001 Kenzi Cano <kc@ring.gr.jp>
- (japanese-fonts-3k)
- revised for japanese-bitmap-collection

* Thu Feb 08  2001 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- (XFree86-jpfonts-2.1-2.97k)
- shinonome16-1.0.4

* Wed Oct 17  2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- (XFree86-jpfonts-2.1-2.96k)
- shinonome12-1.0.8
- shinonome16-1.0.3

* Wed Oct 17  2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- (XFree86-jpfonts-2.1-2.95k)
- shinonome12-1.0.7
- shinonome16-1.0.2

* Wed Oct 17  2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- (XFree86-jpfonts-2.1-2.92k)
- shinonome12-1.0.6
- shinonome16-1.0

* Wed Oct  4  2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- (XFree86-jpfonts-2.1-2.9k)
- shinonome12-1.0.5
- shinonome16-0.3
- updated k14goth to ver 1.6.8

* Sun Sep  3  2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- (XFree86-jpfonts-2.1-1k)
- merge to XFree86-jpfonts-2.1-10(Vine Linux)
- add k14-2000
- shinonome-1.0.1 instead of kaname-alter
- updated k14goth to ver 1.6.5

* Thu Jun 12 2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- using bzip2 instead of gzip
- SRPM contains some sources.
- remove some meaningless aliases.
- remove duplicated fonts (using symbolic fonts)

* Thu Jun 08 2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- updated kaname-alter to ver 2.9.4
- updated k14goth to ver 1.6.3
- k14-1990 was removed

* Fri Jun 02 2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- alias fixed(BTS #545)
- updated kaname-alter to ver 2.9.2
- updated k14goth to ver 1.6.1

* Mon May 22 2000 Kenzi Cano <kc@furuakwa.ch.kagu.sut.ac.jp>
- add naga10!
- add JIS X 0208:1990 alias for kaname-alter.

* Mon May 15 2000 Kenzi Cano <kc@furuakwa.ch.kagu.sut.ac.jp>
- JIS X 0208:1990, JIS X 0213:2000, fonts

* Wed Mar  1 2000 Akira Higuchi <a@kondara.org>
- added more alias-helvetica aliases

* Wed Mar  1 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- 2.0-7, 2.0-9, 2.0-10
- updated to kaname-alter-2.8.1, k14goth-1.5

* Mon Feb 28 2000 Akira Higuchi <a@kondara.org>
- use alias-variable instead of alias-helvetica

* Tue Jan 18 2000 Jun Nishii <jun@vinelinux.org>
- 2.0-6
- updated to kaname-alter-2.5

* Tue Jan 11 2000 Jun Nishii <jun@vinelinux.org>
- 2.0-5
- change group
- bzip2 many sources
- updated to kaname-alter-2.4, k14goth-1.3

* Wed Dec 29 1999 Jun Nishii <jun@vinelinux.org>
- rebuild (last build seems to be failed...)

* Fri Dec 24 1999 Jun Nishii <jun@vinelinux.org>
- removed verbose files in /usr/doc

* Thu Dec 23 1999 Jun Nishii <jun@vinelinux.org>
- kaname-alter-2.3
- k14goth-1.2

* Thu Nov 11 1999 Jun Nishii <jun@vinelinux.org>
- 1.9-1.1 try Mr.Furukawa's mkitalic

* Thu Nov 11 1999 Jun Nishii <jun@vinelinux.org>
- 1.9-1.0
- bug fix in fonts.alias

* Tue Nov 9 1999 Jun Nishii <jun@vinelinux.org>
- update to kaname-alter-2.1

* Fri Oct 15 1999 MATSUMOTO Shoji <shom@flatout.org>
- change mkitalic
- change to kaname-alter-1.3
- change to k14goth-1.0
- add kanji32

* Tue Oct  5 1999 MATSUMOTO Shoji <shom@flatout.org>
- add mkitalic
- replace k14 to k14goth

* Tue Sep 14 1999 Norihito Ohmori <ohmori@flatout.org>
- change kaname-machi font to kaname-machi kai

* Wed Dec  9 1998 MATSUMOTO Shoji <pje@linux.or.jp>
- create spec
